Versions Check

Discussion in 'Wii - Console and Game Discussions' started by Tasan, Apr 29, 2008.

  1. Tasan
    OP

    Tasan Newbie

    Newcomer
    5
    0
    Apr 15, 2006
    It's been a while since I used my NTSC Wii + Wiikey, can someone please confirm for me that:

    1. The newest downloadable Wii System OS from Nintendo is safe to use with Wiikey and what version that is?
    2. The newest firmware for wiikey is safe to use and what version that is?
    3. Once the OS + Wiikey firmwares are up to date that it is safe to use NTSC versions SSBB and MK

    Thanks!
     
  2. arctic_flame

    arctic_flame GBAtemp ATMEGA8 Fan

    Member
    2,840
    0
    Nov 4, 2006
    England land
    1. 3.2U, Works with Wiikey
    2. 1.9X, also known as 1.9s.
    3. Yep.
     
  3. Tasan
    OP

    Tasan Newbie

    Newcomer
    5
    0
    Apr 15, 2006
    Awesome, thanks for the quick reply.

    One last thing that springs to mind, has anyone confirmed if the balance board works on any region console?
     
  4. PigVenus

    PigVenus GBAtemp Regular

    Member
    108
    0
    Mar 18, 2008
    I would suggest that if your Wiikey is 1.9g, don't bother with 1.9s. I have yet to find any real advantages. (Anyone know differently?) Also, there is always the change (very slight) that something could go wrong on an update and end up bricking your wiikey (I didn't say wii, I said wiikey). Makes me sweat every time I did it - just like everytime I update the computer BIOS. (Similarly, I once bricked a motherboard due to a bad BIOS flash.)